﻿using System.ServiceProcess;
using System.ServiceModel;
using SqlBI.DtExec.Contracts;
using SqlBI.DtExec.Services;

namespace SqlBI.DtExec.HostingService {
    /// <summary>
    /// 
    ///     Windows Service that will host the WCF Service.
    /// 
    /// </summary>
    public partial class SqlBIDtExecService : ServiceBase {
        ServiceHost serviceHost = null;

        /// <summary>
        /// 
        ///     Constructor for the classe
        /// 
        /// </summary>
        public SqlBIDtExecService () {
            InitializeComponent ();
        }

        /// <summary>
        /// 
        ///     During startup, we just need to create the ServiceHost,
        ///     all the configuration is read from the app.config file
        /// 
        /// </summary>
        /// <param name="args"></param>
        protected override void OnStart (string[] args) {
            serviceHost = new ServiceHost (typeof (ServiceSqlBIDtExec));
            serviceHost.Open ();
        }

        /// <summary>
        /// 
        ///     During stop we simply close the ServiceHost
        /// 
        /// </summary>
        protected override void OnStop () {
            if (serviceHost != null) {
                if (serviceHost.State == CommunicationState.Opened) {
                    serviceHost.Close ();
                }
            }
        }
    }
}
