﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace SqlBI.DtExec.Classes {
    /// <summary>
    /// 
    ///     LogType contains the type of the log information
    /// 
    /// </summary>
    public enum LogType {
        Log,
        Event
    }

    /// <summary>
    /// 
    ///     Type of data returned by the server during callbacks
    ///     to send log information to the client
    /// 
    /// </summary>
    [DataContract]
    public class LogItem {
        private string message;
        private LogType logType;
        private DateTime timeStamp;

        /// <summary>
        /// 
        ///     Date and time of the timestamp
        /// 
        /// </summary>
        [DataMember]
        public DateTime TimeStamp {
            get { return timeStamp; }
            set { timeStamp = value; }
        }

        /// <summary>
        /// 
        ///     Get/Set the value of the type of log
        /// 
        /// </summary>
        [DataMember]
        public LogType LogType {
            get { return logType; }
            set { logType = value; }
        }

        /// <summary>
        /// 
        ///     Get/Set the value of the message
        /// 
        /// </summary>
        [DataMember]
        public string Message {
            get { return message; }
            set { message = value; }
        }
    }
}
